ドキュメント

​
​

Development

User Acquisition

Monetization

産業

Safe Voice Client API

v1

サポート対象
​

Safe Voice Client API

v1

サポート対象
​

このページは選択した言語では使用できません。
Unity Services Web APIs
​
​
Safe Voice Client API
  • Overview
mdx:openapi:endpoints
  • Consent Management

Safe Voice Client API

Overview

The Safe Voice Client API allows you to perform various game client operations relating to Safe Voice.
This includes the player consent api, which lets the game client to update the consent status for a player. The consent status is used to determine if the player's audio can be recorded and processed for content moderation.
For more information, please refer to our Documentation.
Download OpenAPI specification:

Update the player consent status


Update the player consent status in the Safe Voice for consent tracking
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer

Path parameters for "{title}"

projectId

string
必須
ID of the project

environmentId

string
必須
ID of the environment

playerId

string
必須
ID of the user

Request body for "{title}"

Media Type:
application/json

consents

array[object]
必須
No description

granted

boolean
必須
No description

name

string
必須
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X PUT \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "consents": [ { "name": "vivox.safevoice_moderation", "granted": true } ]}' \ "https://vivox.services.api.unity.com/v1/projects/{projectId}/environments/{environmentId}/players/{playerId}/consents"

Response example

{ "consents": [ { "name": "vivox.safevoice_moderation", "granted": true } ]}

Get the player consent status


Get the player consent status in the Safe Voice for consent tracking
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer

Path parameters for "{title}"

projectId

string
必須
ID of the project

environmentId

string
必須
ID of the environment

playerId

string
必須
ID of the user

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://vivox.services.api.unity.com/v1/projects/{projectId}/environments/{environmentId}/players/{playerId}/consents"

Response example

{ "consents": [ { "name": "vivox.safevoice_moderation", "granted": true } ]}

Copyright © 2026 Unity Technologies
法規事項プライバシーポリシークッキーDocumentation Terms of Use私の個人情報を販売または共有しないプライバシーに関する選択 (クッキー設定)

"Unity" の名称、Unity のロゴ、およびその他の Unity の商標は、米国およびその他の国における Unity Technologies またはその関係会社の商標または登録商標です (詳しくはこちら)。その他の名称またはブランドは該当する所有者の商標です。

一部のページは利便性向上のため機械翻訳を使用しており、内容に不正確な表現が含まれる場合があります。内容に齟齬または不一致が生じた場合は、英語版を正本とします。